<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org"
          xml:lang="en" xml:id="sylv">
    <refnamediv>
        <refname>sylv</refname>
        <refpurpose>Sylvester equation.</refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Syntax</title>
        <synopsis>sylv(A, B, C, flag)</synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Arguments</title>
        <variablelist>
            <varlistentry>
                <term>A,B,C</term>
                <listitem>
                    <para>three real matrices of appropriate dimensions.</para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>flag</term>
                <listitem>
                    <para>
                        character string (<literal>'c'</literal> or <literal>'d'</literal>)
                    </para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Description</title>
        <para>
            <literal>X= sylv(A, B, C, 'c')</literal> computes <literal>X</literal>, solution
            of the "continuous time" Sylvester equation
        </para>
        <programlisting role=""><![CDATA[
A*X+X*B = C
 ]]></programlisting>
        <para>
            <literal>X=sylv(A, B, C, 'd')</literal> computes <literal>X</literal>, solution
            of the modified "discrete time" Sylvester equation
        </para>
        <programlisting role=""><![CDATA[
A*X*B+X = C
 ]]></programlisting>
        <para>
            <literal>X=-sylv(-A, B, C, 'd')</literal> computes <literal>X</literal>, solution
            of the real "discrete time" Sylvester equation
        </para>
        <programlisting role=""><![CDATA[
A*X*B-X = C
 ]]></programlisting>
    </refsection>
    <refsection>
        <title>Examples</title>
        <programlisting role="example"><![CDATA[
// Continuous time Sylvester equation:
A = rand(4, 4); C = rand(4, 3); B = rand(3, 3);
X = sylv(A, B, C, 'c');
norm(A*X+X*B-C)

// Modified Discrete time Sylvester equation:
X = sylv(A, B, C, 'd');
norm(A*X*B+X-C)

// Real Discrete time Sylvester equation:
X = -sylv(-A, B, C, 'd');
norm(A*X*B-X-C)
 ]]></programlisting>
    </refsection>
    <refsection role="see also">
        <title>See also</title>
        <simplelist type="inline">
            <member>
                <link linkend="lyap">lyap</link>
            </member>
        </simplelist>
    </refsection>
</refentry>
